%define module_name rt2860

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: 2.1.1.0
Release: alt1
Summary: Linux %module_name modules sources
License: Distributable
Group: Development/Kernel
Url: http://www.ralinktech.com/ralink/Home/Support/Linux.html
BuildArch: noarch
Source0: %module_name-%version.tar
Patch0: rt2860-remove-tft.patch
Patch2: rt2860-debian-wpa-fix.patch
Patch3: rt2860-debian-clean-install.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This package contains sources of the Linux driver for the 
Ralink RT2860 802.11 b/g/n adapter.

%prep
%setup -c
pushd rt2860-%version
%patch0 -p1
#patch2 -p1
#patch3 -p1
popd

%install
%__mkdir -p %buildroot%_usrsrc/kernel/sources/
%__mv %module_name-%version kernel-source-%module_name-%version
%__tar -c kernel-source-%module_name-%version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%changelog
* Mon May 04 2009 Michail Yakushin <silicium@altlinux.ru> 2.1.1.0-alt1
- 2.1.1.0 

* Wed Nov 26 2008 Michail Yakushin <silicium@altlinux.ru> 1.8.0.0-alt1
- New version. (thank to avm@)

* Thu Sep 04 2008 Alexander Myltsev <avm@altlinux.ru> 1.7.0.0-alt1
- Initial build for ALT Linux.

